DbKeyGeneratorHandler (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.configuration.xml, class: DbKeyGeneratorHandler

# Class DbKeyGeneratorHandler

java.lang.Object
org.xml.sax.helpers.DefaultHandler
org.apache.cayenne.configuration.xml.SAXNestedTagHandler
org.apache.cayenne.configuration.xml.NamespaceAwareNestedTagHandler
org.apache.cayenne.configuration.xml.DbKeyGeneratorHandler

All Implemented Interfaces:
  `ContentHandler, DTDHandler, EntityResolver, ErrorHandler`

public class DbKeyGeneratorHandler extends NamespaceAwareNestedTagHandler

Since:
  4.1

- ## Field Summary

  ### Fields inherited from class NamespaceAwareNestedTagHandler

  `allowAllNamespaces, targetNamespace`
  Modifier and Type
  Field
  Description
  `protected boolean`
  `allowAllNamespaces`
  `protected String`
  `targetNamespace`

  ### Fields inherited from class SAXNestedTagHandler

  `loaderContext, locator, parentHandler`
  Modifier and Type
  Field
  Description
  `protected LoaderContext`
  `loaderContext`
  `protected Locator`
  `locator`
  `protected ContentHandler`
  `parentHandler`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DbKeyGeneratorHandler(NamespaceAwareNestedTagHandler parentHandler, DbEntity entity)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `processCharData(String localName, String data)`
  `protected boolean`
  `processElement(String namespaceURI, String localName, Attributes attributes)`
  Main method to process XML content.

  ### Methods inherited from class NamespaceAwareNestedTagHandler

  `characters, createChildTagHandler, endElement, setAllowAllNamespaces, setTargetNamespace, startElement`
  Modifier and Type
  Method
  Description
  `void`
  `characters(char[] ch, int start, int length)`
  `protected ContentHandler`
  `createChildTagHandler(String namespaceURI, String localName, String qName, Attributes attributes)`
  This method should be used to create nested handlers to process children elements.
  `void`
  `endElement(String namespaceURI, String localName, String qName)`
  `void`
  `setAllowAllNamespaces(boolean allowAllNamespaces)`
  `void`
  `setTargetNamespace(String targetNamespace)`
  `final void`
  `startElement(String namespaceURI, String localName, String qName, Attributes attributes)`
  This method directly called by SAX parser, do not override it directly, use `SAXNestedTagHandler.processElement(String, String, Attributes)` method instead to process content.

  ### Methods inherited from class SAXNestedTagHandler

  `beforeScopeEnd, getParentHandler, setDocumentLocator, stop, unexpectedTagMessage`
  Modifier and Type
  Method
  Description
  `protected void`
  `beforeScopeEnd()`
  Callback method that is called before this handler pushed out of parsers stack.
  `ContentHandler`
  `getParentHandler()`
  `void`
  `setDocumentLocator(Locator locator)`
  `protected void`
  `stop()`
  `protected String`
  `unexpectedTagMessage(String tagFound, String... tagsExpected)`

  ### Methods inherited from class DefaultHandler

  `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ContentHandler

  `declaration`

- ## Constructor Details

  - ### DbKeyGeneratorHandler

    public DbKeyGeneratorHandler(NamespaceAwareNestedTagHandler parentHandler, DbEntity entity)

- ## Method Details

  - ### processElement

    protected boolean processElement(String namespaceURI, String localName, Attributes attributes) throws SAXException
    Description copied from class: `SAXNestedTagHandler`
    Main method to process XML content. Should be override in subclasses, by default do nothing. Return value should be true if tag was fully processed and shouldn't be passed down to child handler.
    Specified by:
      `processElement` in class `NamespaceAwareNestedTagHandler`
    Parameters:
      `namespaceURI` - namespace for tag
      `localName` - tag local name (i.e. w/o namespace prefix)
      `attributes` - tag attributes
    Returns:
      true if tag was processed
    Throws:
      `SAXException` - can be thrown to abort parsing
    See Also:
      - `SAXNestedTagHandler.createChildTagHandler(String, String, String, Attributes)`

  - ### processCharData

    protected boolean processCharData(String localName, String data)
    Overrides:
      `processCharData` in class `NamespaceAwareNestedTagHandler`